Bug 107245 - Invalid distinfo for ports/www/phpmyfaq @ version 1.6.8
Summary: Invalid distinfo for ports/www/phpmyfaq @ version 1.6.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-27 15:40 UTC by pckizer
Modified: 2006-12-30 17:10 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pckizer 2006-12-27 15:40:17 UTC
	Invalid distinfo for phpmyfaq ports, there is a size mismatch with the
	tarball available from the main site.

	Since I was unsure why the package size changed after the port was
	updated for the new version, I'm opening a PR.

Fix: 

Not provided, I didn't see a tarball with the size as recorded in
	distinfo, and I have not pulled the multiple versions from the main
	site to compare if the new size is correct as it was modified just
	yesterday (2006/12/26).
How-To-Repeat: 	/usr/ports/www/phpmyfaq # portupgrade -w phpmyfaq
	--->  Upgrading 'phpmyfaq-1.6.6' to 'phpmyfaq-1.6.8' (www/phpmyfaq)
	--->  Building '/usr/ports/www/phpmyfaq'

	Define PHPMYFAQ to override default installation place of '/usr/local/www/phpmyfaq'.

	=> phpmyfaq-1.6.8.full.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
	=> Attempting to fetch from http://www.phpmyfaq.de/download/.
	fetch: http://www.phpmyfaq.de/download/phpmyfaq-1.6.8.full.tar.gz: size mismatch: expected 768078, actual 762885
	=> Attempting to fetch from ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
	fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/phpmyfaq-1.6.8.full.tar.gz: File unavailable (e.g., file not found, no access)
	=> Couldn't fetch it - please try to retrieve this
	=> port manually into /usr/ports/distfiles/ and try again.
	*** Error code 1

	Stop in /usr/ports/www/phpmyfaq.
	** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.54222.0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=phpmyfaq-1.6.6
	UPGRADE_PORT_VER=1.6.6 make
	** Fix the problem and try again.
	** Listing the failed packages (*:skipped / !:failed)
		! www/phpmyfaq (phpmyfaq-1.6.6) (fetch error)
	--->  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
	/usr/ports/www/phpmyfaq #
Comment 1 Edwin Groothuis freebsd_committer 2006-12-27 15:40:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->farrokhi

Over to maintainer
Comment 2 dfilter service freebsd_committer 2006-12-30 17:09:11 UTC
miwi        2006-12-30 17:09:06 UTC

  FreeBSD ports repository

  Modified files:
    www/phpmyfaq         distinfo 
  Log:
  - Fix distinfo file is re-roll with minor changes
  
  PR:             ports/107245
  Submitted by:   Philip Kizer <pckizer@nostrum.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.17      +3 -3      ports/www/phpmyfaq/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2006-12-30 17:09:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!